# Class DrawMesh

java.lang.Object
org.jmol.util.MeshSurface
org.jmol.shape.Mesh
org.jmol.shapespecial.DrawMesh

Direct Known Subclasses:
  `CGOMesh`

public class DrawMesh extends Mesh

## Field Summary

Fields
Modifier and Type
Field
Description
`BS`
`bsMeshesVisible`
`float`
`drawArrowScale`
`Draw.EnumDrawType`
`drawType`
`int`
`fontID`
`boolean`
`isBarb`
`boolean`
`isScaleSet`
`boolean`
`isVector`
`BS`
`modelFlags`
`boolean`
`noHead`
`float`
`scale`
`boolean`
`thisModelOnly`
`Integer`
`titleColor`

### Fields inherited from class Mesh

`atomIndex, bsTemp, cappingObject, checkByteCount, color, colorCommand, colorDensity, colorType, connectedAtoms, diameter, drawTriangles, fillTriangles, frontOnly, hasTranslucentVertices, havePlanarContours, haveXyPoints, hoverLabel, index, insideOut, isModelConnected, isShell, isTwoSided, isValid, lattice, lighting, lineData, linkedMesh, meshColix, modelIndex, normixes, PREVIOUS_MESH_ID, ptCenter, recalcAltVertices, reverseColor, scale3d, scriptCommand, showContourLines, showPoints, showTriangles, slabbingObject, symopColixes, symopNormixes, symops, thisID, title, unitCell, useColix, vAB, visibilityFlags, visible, volumeRenderPointSize, vTemp, width`

### Fields inherited from class MeshSurface

`altVertices, bsDisplay, bsPolygons, bsSlabDisplay, bsSlabGhost, colix, colixBack, colorsExplicit, dataOnly, haveQuads, iA, iB, iC, isColorSolid, isDrawPolygon, isMerged, mat4, mergePolygonCount0, mergeVertexCount0, meshType, normalCount, normals, normalsTemp, normixCount, nSets, oabc, offset, P_CHECK, P_CONTOUR, P_EXPLICIT_COLOR, pc, pcs, pis, polygonCount0, SEED_COUNT, slabColix, slabMeshType, slabOptions, surfaceAtoms, surfaceSet, vc, vcs, vertexCount0, vertexSets, vertexSource, vs, vvs, vwr`

## Constructor Summary

Constructors
Constructor
Description
`DrawMesh(Viewer vwr, String thisID, short colix, int index)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear(String meshType)`
`void`
`deleteAtoms(int modelIndex)`
`boolean`
`isRenderScalable()`

### Methods inherited from class Mesh

`checkWithin, clearMesh, getBoundingBox, getInfo, getMinDistance2ForVertexGrouping, getNormals, getNormalsTemp, getOffsetVertices, getRendering, getState, getUnitCell, getVertexIndexFromNumber, getVisibleVBS, getVisibleVertexBitSet, initialize, mesh1, rotateTranslate, setLighting, setNormixes, setShowWithin, setTokenProperty, setTranslucent, setVisibilityFlags, sumVertexNormals, sumVertexNormals2`

### Methods inherited from class MeshSurface

`addPolygon, addPolygonC, addQuad, addTriangle, addTriangleCheck, addV, addVCVal, getFaces, getMeshSlicer, getResolution, getSlabColor, getSlabType, getSphereData, getSphericalInterpolationFraction, getVertices, invalidatePolygons, newMesh, resetSlab, setABC, setBoundingBox, setBox, setColix, setColixBack, setPolygonCount, setTranslucentVertices, slabBrillouin, slabPolygonsList`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### bsMeshesVisible

public BS bsMeshesVisible

### modelFlags

public BS modelFlags

### drawType

public Draw.EnumDrawType drawType

### isVector

public boolean isVector

### drawArrowScale

public float drawArrowScale

### noHead

public boolean noHead

### isBarb

public boolean isBarb

### scale

public float scale

### isScaleSet

public boolean isScaleSet

### fontID

public int fontID

### titleColor

public Integer titleColor

### thisModelOnly

public boolean thisModelOnly

## Constructor Details

### DrawMesh

public DrawMesh(Viewer vwr, String thisID, short colix, int index)

Parameters:
  `vwr` -
  `thisID` -
  `colix` -
  `index` -

## Method Details

### clear

public void clear(String meshType)

Overrides:
  `clear` in class `Mesh`

### deleteAtoms

public void deleteAtoms(int modelIndex)

### isRenderScalable

public boolean isRenderScalable()